If you looked at my code you have to hire me

I am homeless and unemployed seeking employment. I went to Johnson and Wales University for Software Engineering (BS) / Computer Programming (AS). I am a really good web developer, designer and manager. I can lead a team to success and am a perfectionist when it comes to my code. If you reviewed it, get me off the streets and let me make you some money. I have nothing to invest.
AnonymousBoard.LikesYou.org

And how did you make this post…?

Floofs and kindly and smoothly suggests https://stackoverflow.com/jobs

3 Likes

This forum is slow and not styled to be user friendly. I do like the buttons above the textarea. I wouldn’t of made them with svg. I am also getting 1 error and 4 warnings. Note: I do have Adblock running in Google Chrome

Errors:

_application-bc0333a35fa5a8b52b807b88e53ca5cef9d166577f9401b697caac9cec465300.js:9329 Refused to load the script ‘https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js’ because it violates the following Content Security Policy directive: “script-src ‘report-sample’ https://forum.infinityfree.net/logs/ https://forum.infinityfree.net/sidekiq/ https://forum.infinityfree.net/mini-profiler-resources/ https://forum.infinityfree.net/assets/ https://forum.infinityfree.net/brotli_asset/ https://forum.infinityfree.net/extra-locales/ https://forum.infinityfree.net/highlight-js/ https://forum.infinityfree.net/javascripts/ https://forum.infinityfree.net/plugins/ https://forum.infinityfree.net/theme-javascripts/ https://forum.infinityfree.net/svg-sprite/ https://www.google-analytics.com/analytics.js”. Note that ‘script-src-elem’ was not explicitly set, so ‘script-src’ is used as a fallback.

https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js’ because it violates the following Content Security Policy directive: "script-src ‘report-sample’

The Remainder Are Warnings:

eprecation notice: Import the User class instead of using User (deprecated since Discourse 2.4.0) (removal in Discourse 2.6.0)

_application-bc0333a35fa5a8b52b807b88e53ca5cef9d166577f9401b697caac9cec465300.js:348 Deprecation notice: Import the Site class instead of using Discourse.Site (deprecated since Discourse 2.4.0) (removal in Discourse 2.6.0)

_ember_jquery-8e338e1cfe17986203b8367e20408d23399e209fb3a0d86cbd8f98e499a037a9.js:74205 [DEPRECATION] ember-addons/ember-computed-decorators is deprecated. Please use discourse-common/utils/decorators instead.

LOOK AT ALL THIS JUNK!
How many lines of code is this forum?

Tell this to Discourse developers?!

as long as these errors aren’t fatal, we can ignore em.

3 Likes

I don’t like to see any at all. Even Google has some. The only warning on my website is the tracking cookie from InfinityFree.

You can check the code for yourself at https://github.com/discourse/discourse

The advertising code is loaded in through this plugin: https://github.com/discourse/discourse-adplugin

And no, I’m not looking to hire any remote developers at this time.

6 Likes

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.